Browse Source

Fichiers obligatoires package Debian

upgrade-electron
wpetit 4 years ago
parent
commit
4df989270e
7 changed files with 19 additions and 7 deletions
  1. 4
    3
      Makefile
  2. 7
    2
      debian/control
  3. 0
    1
      debian/pitaya.install
  4. 1
    0
      debian/pitaya_amd64.install
  5. 1
    0
      debian/pitaya_ia32.install
  6. 1
    1
      package.json
  7. 5
    0
      scripts/install-build-deps.sh

+ 4
- 3
Makefile View File

@@ -3,8 +3,9 @@
3 3
 build: clean
4 4
 	npm run build
5 5
 
6
-clean:
6
+clean: install-deps
7 7
 	npm run clean
8 8
 
9
-install: build
10
-	env
9
+install-deps:
10
+	./scripts/install-build-deps.sh
11
+	npm install

+ 7
- 2
debian/control View File

@@ -8,7 +8,12 @@ Homepage:
8 8
 Vcs-Git: https://forge.cadoles.com/wpetit/pitaya.git
9 9
 Vcs-Browser: https://forge.cadoles.com/wpetit/pitaya
10 10
 
11
-Package: pitaya
12
-Architecture: any
11
+Package: pitaya_amd64
12
+Architecture: amd64
13
+Depends: ${shlibs:Depends}, ${misc:Depends}
14
+Description: Lanceur d'application pour GNU/Linux
15
+
16
+Package: pitaya_ia32
17
+Architecture: ia32
13 18
 Depends: ${shlibs:Depends}, ${misc:Depends}
14 19
 Description: Lanceur d'application pour GNU/Linux

+ 0
- 1
debian/pitaya.install View File

@@ -1 +0,0 @@
1
-build/pitaya-linux-x64 opt/pitaya

+ 1
- 0
debian/pitaya_amd64.install View File

@@ -0,0 +1 @@
1
+build/pitaya-linux-x64/* opt/pitaya

+ 1
- 0
debian/pitaya_ia32.install View File

@@ -0,0 +1 @@
1
+build/pitaya-linux-ia32/* opt/pitaya

+ 1
- 1
package.json View File

@@ -15,7 +15,7 @@
15 15
     "start": "./node_modules/.bin/electron .",
16 16
     "compile": "./node_modules/.bin/jsx -x js src dist",
17 17
     "clean": "rm -rf dist/* build/*",
18
-    "package": "./node_modules/.bin/electron-packager ./ pitaya --prune --ignore=res/ --platform=linux --arch=ia32,x64 --version=0.33.6 --out=build --overwrite --app-version 0.0.0",
18
+    "package": "./node_modules/.bin/electron-packager ./ pitaya --prune --ignore=res/ --ignore=scripts/ --ignore=debian/ --ignore=test/ --platform=linux --arch=ia32,x64 --version=0.33.6 --out=build --overwrite --app-version 0.0.0",
19 19
     "build": "npm run clean && npm run compile && npm run package"
20 20
   },
21 21
   "dependencies": {

+ 5
- 0
scripts/install-build-deps.sh View File

@@ -0,0 +1,5 @@
1
+#!/usr/bin/env bash
2
+
3
+apt-get install --yes --no-install-recommends curl ca-certificates || exit 1
4
+curl --silent --location https://deb.nodesource.com/setup_4.x | bash - || exit 1
5
+apt-get install --yes nodejs || exit 1

Loading…
Cancel
Save